Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.wbem.query
Class StringValueExp

    java.lang.Object
      |
      +--com.sun.wbem.query.ValueExp
            |
            +--com.sun.wbem.query.StringValueExp

public class StringValueExp
extends ValueExp

This class represents strings that are arguments to SQL relational constraints. A `StringValueExp` may be used anywhere a `ValueExp` is required. Instances of `StringValueExp` print using the SQL syntax for string literals.

Since:
  WBEM 1.0
See Also:
  Serialized Form

Constructor Summary
`StringValueExp()` Creates a new `StringValueExp` representing the string literal "".
`StringValueExp(java.lang.String val)` Creates a new `StringValueExp` representing the string literal val.

Method Summary
`java.lang.String` | `getValue()` Accessor for the actual String value.
`java.lang.String` | `toString()` Returns the SQL syntax string representing its value.

Methods inherited from class com.sun.wbem.query.ValueExp
`apply`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StringValueExp

    public StringValueExp(java.lang.String val)

  Creates a new `StringValueExp` representing the string literal val.

### StringValueExp

    public StringValueExp()

  Creates a new `StringValueExp` representing the string literal "".

Method Detail

### getValue

    public java.lang.String getValue()

  Accessor for the actual String value.
  Parameters:
    `String` - value of this expression.

### toString

    public java.lang.String toString()

  Returns the SQL syntax string representing its value.
  Overrides:
    toString in class java.lang.Object
  Returns:
    The expression's string value in SQL syntax.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD